Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.server
Class QHome

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.jxml.qare.qhome.server.QHome

All Implemented Interfaces:
  QAppPlugin, Serializable, Servlet, ServletConfig

Direct Known Subclasses:
  P2PPlugin, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet, QServlet

public abstract class QHome
extends HttpServlet
implements QAppPlugin

See Also:
  Serialized Form

Field Summary
`static MailSender` | `mailSender`

Constructor Summary
`QHome()`

Method Summary
`static void` | `accountSetup(DBUser.Row user)`
`void` | `destroy()`
`void` | `doGet(HttpServletRequest req, HttpServletResponse res)`
`void` | `doOtherPost(HttpServletRequest req, HttpServletResponse res)`
`void` | `doPost(HttpServletRequest req, HttpServletResponse res)`
`void` | `error(HttpServletRequest req, HttpServletResponse res, String error)`
`Application` | `getApplication()`
`static Application` | `getApplication(String warFileName)`
`ClassLoader` | `getClassLoader()`
`static QAppPlugin` | `getPlugin(Map properties)`
`void` | `init(ServletConfig config)`
`String` | `packageName()`
`void` | `process(HttpServletRequest req, HttpServletResponse res, DBUser.Row user, Hashtable queryTable)` Process browser request (login completed)
`boolean` | `validLogin(String userName, String password)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.qare.qhome.QAppPlugin
`warFileName`

Field Detail

### mailSender

    public static MailSender mailSender

Constructor Detail

### QHome

    public QHome()

Method Detail

### getPlugin

    public static QAppPlugin getPlugin(Map properties)

### getClassLoader

    public ClassLoader getClassLoader()

  Specified by:
    `getClassLoader` in interface `QAppPlugin`

### init

    public void init(ServletConfig config)
              throws ServletException

  Overrides:
    `init` in class `GenericServlet`

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `GenericServlet`

### getApplication

    public Application getApplication()
                               throws Exception

  Specified by:
    `getApplication` in interface `QAppPlugin`

### getApplication

    public static Application getApplication(String warFileName)
                                      throws Exception

### packageName

    public String packageName()

  Specified by:
    `packageName` in interface `QAppPlugin`

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse res)
                throws ServletException,
                       IOException

  Overrides:
    `doPost` in class `HttpServlet`

### error

    public void error(HttpServletRequest req,
                      HttpServletResponse res,
                      String error)
               throws ServletException,
                      IOException

### doOtherPost

    public void doOtherPost(HttpServletRequest req,
                            HttpServletResponse res)
                     throws Exception

### accountSetup

    public static void accountSetup(DBUser.Row user)
                             throws Exception

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse res)
               throws ServletException,
                      IOException

  Overrides:
    `doGet` in class `HttpServlet`

### validLogin

    public boolean validLogin(String userName,
                              String password)
                       throws Exception

### process

    public void process(HttpServletRequest req,
                        HttpServletResponse res,
                        DBUser.Row user,
                        Hashtable queryTable)
                 throws Exception

  Process browser request (login completed)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD